# Requests

`Request` class does not inherit from `HttpRequest` class, but instead extends the class using *composition*.

## Request parsing

## Content negotiation

## Authentication

## Browser enhancements
